1 (изменено: kisa, 2018.04.02 13:10)

Тема: Обновляемся до PanBB 1.4.5 (эксперимент)

Было

https://punbb.info/uploads/images/2018/04/1b7a1599b102417df0ce7dee1233fdcd.png

Для этого воспользуемся расширением Pan Updater.
Мне пришлось:
1. Самовольно немного подшаманить само расширение под текущую задачу.
2. Подложить ему архив - патч, набранный из соответствующих файлов официальной поставки PanBB 1.4.5 .

Шаманство заключалось в подмене номеров версий движка в соответствии с текущей задачей где можно и где не можно  PunBB_INFO_ICQ/bigsmile .

Номер версии самого Апдейтера прописан 0.2 с тем, чтобы если он у кого-то завалялся от прошлого апдейта, его можно было корректно обновить, не удаляя старый.

И да, это всё мной провёрнтуто чисто с экспериментальными целями и не является официальным путём. Но уже два крупных боевых форума обновлены таким образом, не считая нескольких заваленных  PunBB_INFO_ICQ/crasy  PunBB_INFO_ICQ/bigsmile  тестовых. Про завал шутка.

Итак, приступим. Установим или обновим Pan Updater.
От греха подальше, заручимся бекапом - сохраним где-нибудь БД и файлы форума (я не сохранял гигабайтный каталог с закачанными картинками)

Теперь важный момент, пренебрежение которым безвредно, но может изрядно напугать тем, что покажет на экране админа PunBB_INFO_ICQ/jokingly . С форумом при этом ничего не происходит, но стааашно...

Заходим в файлы форума, и проверяем права на каталоги admin  и  include. Они должны быть выставлены в 775, включая подкаталоги.
https://punbb.info/uploads/images/2018/04/0ee3ddcc9ce8bf53aa6581c951e8d6a5.png

Пока мы проверяли права, в админке появилась новая кнопочка, которая запускает обновления файлов. Жмём.
https://punbb.info/uploads/images/2018/04/a2786c439a5a2207ac3bcabf50208c9c.png

В этом месте, если забыть проверить права на каталоги, и будет страшно  PunBB_INFO_ICQ/crasy . Но можно просто вернуться назад, и сделать всё, как положено. Форум всё это время полностью доступен. 
Видим обнадёживающее сообщение и ссылку-приглашение на обновление БД
https://punbb.info/uploads/images/2018/04/3eb00aff25cd238909c1ef9c1bdef456.png

Пройдя по ссылке (если Вы её потеряли - это  ВашФорум/admin/db_update.php), находим кнопку обновления базы данных - это может быть и  MySQL , и SQLite3, работает одинаково.
https://punbb.info/uploads/images/2018/04/c726bfa70c86db1e293ede404d53f1b7.png

После успешного обновления, нам сообщается, что всё в порядке, и приглашается на главную страницу:
https://punbb.info/uploads/images/2018/04/03d8cc944a223b99e6a727aee1387f45.png


Ву а ля.
https://punbb.info/uploads/images/2018/04/0b8b4de409c457f461c7927a631324b5.png

Ваши расширения, стили и всё такое, апдейт не затрагивает. Во время процедуры у меня  форум всё время оставался  доступным даже при отладке  этого расширения, когда не всё ещё срабатывало.

Список заменяемых файлов

/admin/bans.php
/admin/categories.php
/admin/censoring.php
/admin/db_update.php
/admin/extensions.php
/admin/forums.php
/admin/groups.php
/admin/index.php
/admin/install.php
/admin/prune.php
/admin/ranks.php
/admin/reindex.php
/admin/reports.php
/admin/settings.php
/admin/users.php
/include/constants.php
/include/email.php
/include/functions.php
/include/parser.php
/include/dblayer/common_db.php
/include/dblayer/index.html
/include/dblayer/mysql.php
/include/dblayer/mysqli.php
/include/dblayer/mysqli_innodb.php
/include/dblayer/mysql_innodb.php
/include/dblayer/pgsql.php
/include/dblayer/sqlite.php
/include/dblayer/sqlite3.php
/include/template/admin.tpl
/include/template/help.tpl
/include/template/index.html
/include/template/main.tpl
/include/template/maintenance.tpl
/include/template/redirect.tpl
footer.php
header.php
robots.txt


Данный контент доступен только зарегистрированным пользователям.

2

Re: Обновляемся до PanBB 1.4.5 (эксперимент)

Классно!  PunBB_INFO_ICQ/thumbsup  можно уже перезалить расширение Pan Updater ?

Добавлено: 2018.04.04 05:19

Наверное,  PunBB_INFO_ICQ/scratch думаю стоит добавить защиту от дураков, в смысле, если кто либо по невнимательности решит обновиться с 1.4.2 до 1.4.4 и выше. Или хотя бы выдавать предупреждение о том, что на вашем форуме установлены устаревшие расширения использующие ббкоды.

Кстати, если ваш форум на 1.4.2, то стоит задуматься о переходе как минимум до 1.4.4 (пропатченного, не официального уже устаревшего, т.е. обновить до panbb 1.4.5)

Если вам долго не отвечают, пишите автору темы в личку или на Email.

3 (изменено: kisa, 2018.04.04 10:10)

Re: Обновляемся до PanBB 1.4.5 (эксперимент)

Лучше защитить, конечно. Я думал об этом, но только думал  PunBB_INFO_ICQ/bigsmile Или вот так, как ты говоришь - предусмотреть апгрейд и 142 и 144 до 145. Со 142 двухступенчатый получается? Ну и ладно.

4

Re: Обновляемся до PanBB 1.4.5 (эксперимент)

да не, можно и сразу на 145, только расширения обмусолить нужно, в основном те, что используют ББкоды. Не знаю, может какой то список создать и по нему пробежаться при обновлении. И какие поймало, если тем более версия какого либо расширения менее такой то то в список, а потом на экран предупреждение: мол, айяяй, надо бы вначале расширения обновить  PunBB_INFO_ICQ/no

Иначе, когда админ сделает апдейт, то полезут траблы от e\modifier до пустых сообщений.

Добавлено: 2018.04.04 11:37

понимаешь, тут невозможно пропатчить сами расширения, к каждому нужно подходить индивидуально. Из практики обновления форумов до 1.4.4 скажу, что иногда это может занимать от 3 до 5 дней.

Если вам долго не отвечают, пишите автору темы в личку или на Email.

5

Re: Обновляемся до PanBB 1.4.5 (эксперимент)

Ну да.. Тогда, от греха подальше, проверить версию. Если не 144 - мальчик, иди в свой отряд.